Bug 8591 - CVE-2005-3573 (DoS): not properly handle UTF8 character encodings in filenames of e-mail attachments
: CVE-2005-3573 (DoS): not properly handle UTF8 character encodings in filename...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mailman)
: unstable
: all Linux
: P2 critical
Assigned To:
:
: http://secunia.com/advisories/19167
:
:
:
  Show dependency tree
 
Reported: 2005-12-05 14:22 by
Modified: 2006-03-09 21:01 (History)


Attachments
Патч_1 (1.60 KB, patch)
2005-12-05 14:25, Vladimir Lettiev
no flags Details | Diff
Патч_2 (1.37 KB, patch)
2005-12-05 14:27, Vladimir Lettiev
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-12-05 14:22:36
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3573

Для 2.1.6 вероятный патч предложен здесь:
http://mail.python.org/pipermail/mailman-users/2005-September/046523.html
Это не фикс, но препятствует DoS-атаке, mailman просто будет игнорировать такие
аттачменты.
------- Comment #1 From 2005-12-05 14:25:05 -------
Created an attachment (id=1274) [details]
Патч_1

Патч, который был включён в состав обновлённого пакета для Mandriva-2006.0
------- Comment #2 From 2005-12-05 14:27:26 -------
Created an attachment (id=1275) [details]
Патч_2

Ещё один патч из того же пакета. Нацелен против переполнения буфера при кривой
дате в обрабатываемом сообщении
------- Comment #3 From 2005-12-05 14:28:24 -------
Этот патч применим только в ветке 2.1.5 В 2.1.6 это уже не так. Код сильно
изменен и я даже не представляю что именно там можно поправить
------- Comment #4 From 2006-02-17 19:24:44 -------
fixed
------- Comment #5 From 2006-03-09 21:01:49 -------
Насколько понимаю, это исправление и CVE-2005-4153 (fail with an Overflow on
bad
date data in a processed message, соотв. mailman-2.1.5-date-overflows.patch).